# Internetul

Pe baza celor discutate în secțiunea precedentă, pe parcursul laboratorului vom
pune bazele internetului pe care cu toții îl folosim astăzi.

La începutul anilor 1970 internetul se rezumă la comunicarea peste un cablu
între două dispozitive printr-un protocol simplu, dar în doar câțiva ani
complexitatea a crescut enorm. În figura de mai jos vedem precursorul
internetului de astăzi,
[ARPANET](https://www.cybertelecom.org/notes/internet_history70s.htm).

![](images/arpanet_1970_map.png)

Pentru a modela cât mai ușor arhitectura Internetului, cercetătorii de la acea
vreme au propus diferite modele de referință. Dintre acestea, Open Systems
Interconnection (OSI), modelul propus de Huber Zimmerman, a fost cel mai
influent. Totuși, în practică, modelul dominant de referință folosit este
TCP/IP. În figura de mai jos, putem vedea cele două modele de referință și o
serie de protocoale la fiecare nivel. La laborator, vom avea o abordare
bottom-up. Vom porni de la protocoale simple pentru a conecta două calculatoare
și vom ajunge să implementăm protocoale de nivel aplicație, precum HTTP, folosit
astăzi mai ales de web browsers. În general, protocoalele sunt descrise în
documente numite [Request for Comment
(RFC)](https://en.wikipedia.org/wiki/Request_for_Comments). De exemplu, [RFC
791](https://datatracker.ietf.org/doc/html/rfc791) descrie protocolul IP.

![](images/osi_tcp.jpg)
