## Header TCP

![](images/tcp_header.png)

Explicaţii header:

  - **portul sursă** este ales random de către maşina sursă a
    pachetului, dintre porturile libere existente pe acea maşină
  - **portul destinaţie** este portul pe care maşina destinaţie poate
    recepţiona pachete
  - **checksum** este valoarea sumei de control pentru un pachet TCP

Pentru a înțelege mai bine cum funcționează protocolul TCP, vom rula `Wireshark`
pe pe interfata loopback.

Vom deschide un server TCP simplu folosind `nc`:
```console
nc -l 8083
```

Din alt terminal ne vom conecta la acest server

```console
telnet -4 localhost 8083
```

În primele 3 pachete TCP, putem observa operația de three-way handshake între client (browser) și server. 
În acest caz, observăm că numărul de secvență atât la server cât și la client pornește de la 0 (SEQ = 0, ACK
= 0). Daca scriem in telnet text si apasam Enter o sa putem vedea in Wireshark segmentele trimise de TCP.
