# Iperf

Iperf este unul dintre cele mai populare programe folosite pentru măsurarea performanței în networking.

Pentru a porni iperf în modul server TCP vom folosi:

```bash
iperf -s
```

Pentru a porni clienți TCP folosind iperf, vom folosi:

```bash
iperf -c $IP_SERVER
```

Serverul va afișa throughput-ul măsurat pentru fiecare conexiune de la client. Mai jos gășiți un exemplu de output.

```
> iperf -s
------------------------------------------------------------
Server listening on TCP port 5001
TCP window size: 85.3 KByte (default)
------------------------------------------------------------
[  1] local 127.0.0.1 port 5001 connected with 127.0.0.1 port 57374 (icwnd/mss/irtt=215/22016/23)
[ ID] Interval       Transfer     Bandwidth
[  1] 0.00-2.00 sec  14.3 GBytes  61.3 Gbits/sec
```

```
❯ iperf -c 127.0.0.1 -t 2
------------------------------------------------------------
Client connecting to 127.0.0.1, TCP port 5001
TCP window size: 2.50 MByte (default)
------------------------------------------------------------
[  1] local 127.0.0.1 port 57374 connected with 127.0.0.1 port 5001 (icwnd/mss/irtt=213/21845/52)
[ ID] Interval       Transfer     Bandwidth
[  1] 0.00-2.01 sec  14.3 GBytes  61.1 Gbits/sec
```

> Iperf poate funcționa și cu UDP, trebuie doar folosit flag-ul. `-u`. Pentru a seta rata
de transmisie (throughput) în UDP vom folosi: `-b` (biți/s).


