# Instrucțiuni pentru folosirea mașinii virtuale de PCom (varianta pentru ARM) pe calculatoare Apple/MacOS

Pentru a importa mașina pentru procesoare ARM/Apple Silicon în cadrul VMware Fusion (pe un sistem care rulează MacOS) trebuie să urmați următorii pași:

1. Instalați [VMware Fusion](https://blogs.vmware.com/teamfusion/2024/05/fusion-pro-now-available-free-for-personal-use.html);

> Descărcarea în scop necomercial a VMware Fusion se poate face [de la această adresă](https://support.broadcom.com/group/ecx/productdownloads?subfamily=VMware%20Fusion&freeDownloads=true).

2. Descărcați mașina virtuală și dezarhivați fișierele sale în folderul dedicat mașinilor virtuale (într-un subfolder cu extensia `.vmwarevm`):

```sh
$ mkdir -p ~/Virtual\ Machines.localized/pcom-vm-arm.vmwarevm
$ tar xzvf pcom-vm-arm-v0.1beta.tar.gz -C ~/Virtual\ Machines.localized/pcom-vm-arm.vmwarevm
```
3. Folosiți funcția Scan din VMware Fusion pentru a asigura detectarea ei:

![Screenhot cu butonul Scan din VMware Fusion](images/fusion-vm-scan.png)

Acum mașina virtuală ar trebui să apară în lista din VMware Fusion și să ruleze corespunzător.