# Sockets API for TCP

[La laboratorul precedent](https://pcom.pages.upb.ro/labs/lab6/lecture.html) am discutat funcțiile **socket**, **bind**, **recvfrom** și **sendto** pe care le puteam folosi pentru a trimite datagrame UDP. 
În acest laborator, vom folosi trei funcții noi: **connect**, **listen** si **accept**. 
Acestea sunt folosite pentru stabilirea unei conexiuni între sender și receiver. 

În plus, în cadrul acestui laborator vom folosi funcțiile **send** și **rev** în locul funcțiilor recvfrom si
sendto deoarece odată stabilită o conexiune, nu mai trebuie să specificăm destinația. 
Găsiți în imaginea de mai jos un overview a cum sunt realizate acestea.

![](images/tcp_client_server_interaction.png)

---
**Note**

In cadrul functie socket vom folosi **SOCK\_STREAM** ca
argument in locul **SOCK\_DGRAM**.

---
